Ruby: pm_match_last_line_node Struct Reference

Ruby 3.3.7p123 (2025-01-15 revision be31f993d7fa0219d85f7b3c694d454da4ecc10b)

Data Fields
pm_match_last_line_node Struct Reference

MatchLastLineNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | opening_loc
| MatchLastLineNode#opening_loc.
pm_location_t | content_loc
| MatchLastLineNode#content_loc.
pm_location_t | closing_loc
| MatchLastLineNode#closing_loc.
pm_string_t | unescaped
| MatchLastLineNode#unescaped.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

MatchLastLineNode.

Type: PM_MATCH_LAST_LINE_NODE Flags: PM_REGULAR_EXPRESSION_FLAGS_IGNORE_CASE PM_REGULAR_EXPRESSION_FLAGS_EXTENDED PM_REGULAR_EXPRESSION_FLAGS_MULTI_LINE PM_REGULAR_EXPRESSION_FLAGS_ONCE PM_REGULAR_EXPRESSION_FLAGS_EUC_JP PM_REGULAR_EXPRESSION_FLAGS_ASCII_8BIT PM_REGULAR_EXPRESSION_FLAGS_WINDOWS_31J PM_REGULAR_EXPRESSION_FLAGS_UTF_8 PM_REGULAR_EXPRESSION_FLAGS_FORCED_UTF8_ENCODING PM_REGULAR_EXPRESSION_FLAGS_FORCED_BINARY_ENCODING PM_REGULAR_EXPRESSION_FLAGS_FORCED_US_ASCII_ENCODING

Definition at line 3369 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_match_last_line_node::base

The embedded base node.

Definition at line 3371 of file ast.h.

## ◆ closing_loc

pm_location_t pm_match_last_line_node::closing_loc

MatchLastLineNode#closing_loc.

Definition at line 3380 of file ast.h.

## ◆ content_loc

pm_location_t pm_match_last_line_node::content_loc

MatchLastLineNode#content_loc.

Definition at line 3377 of file ast.h.

## ◆ opening_loc

pm_location_t pm_match_last_line_node::opening_loc

MatchLastLineNode#opening_loc.

Definition at line 3374 of file ast.h.

## ◆ unescaped

pm_string_t pm_match_last_line_node::unescaped

MatchLastLineNode#unescaped.

Definition at line 3383 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h